
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>iOS开发中Quartz2D绘图路径的使用以及条纹效果的实现_IOS / iVAN</title>

    <meta name="description" content="iOS开发中Quartz2D绘图路径的使用以及条纹效果的实现_IOS 绘图路径 A.简单说明 在画线的时候,方法的内部默认创建一个path.它把路径都放到了path里面去. 1.创建路径  cgmutablepathref 调用该方法相当于创建了一个路径,这个路径用来保存绘图信息. 2.把绘图信息添加到路径里边. 以前的方法是点的位置添加到ctx(图形上下文信息)中,ctx 默认会在内部创建一个path用来保存绘图信息. 在图形上下文中有一块存储空间专门用来存储绘图信息,其实这块空间就是CGMutablePathRef. 3.把路径添加到上下文中. 代码示例: 绘">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">iOS开发中Quartz2D绘图路径的使用以及条纹效果的实现_IOS</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>绘图路径</strong></p>
<p>A.简单说明<br />
在画线的时候，方法的内部默认创建一个path。它把路径都放到了path里面去。<br />
1.创建路径  cgmutablepathref 调用该方法相当于创建了一个路径，这个路径用来保存绘图信息。<br />
2.把绘图信息添加到路径里边。<br />
以前的方法是点的位置添加到ctx（图形上下文信息）中，ctx 默认会在内部创建一个path用来保存绘图信息。<br />
在图形上下文中有一块存储空间专门用来存储绘图信息，其实这块空间就是CGMutablePathRef。<br />
3.把路径添加到上下文中。<br />
代码示例：<br />
绘制一条直线的代码：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//1.获取图形上下文<br />
    CGContextRef ctx=UIGraphicsGetCurrentContext();<br />
    //2.绘图（画线）<br />
    //设置起点<br />
    CGContextMoveToPoint(ctx, 20, 20);<br />
    //设置终点<br />
    CGContextAddLineToPoint(ctx, 200, 300);<br />
    //渲染<br />
    CGContextStrokePath(ctx);</p>
<p>上面的代码和下面的代码是等价的。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//1.获取图形上下文<br />
    CGContextRef ctx=UIGraphicsGetCurrentContext();<br />
    <br />
    //2.绘图<br />
    //2.1创建一条直线绘图的路径<br />
    //注意：但凡通过Quartz2D中带有creat/copy/retain方法创建出来的值都必须要释放<br />
    CGMutablePathRef path=CGPathCreateMutable();<br />
    //2.2把绘图信息添加到路径里<br />
    CGPathMoveToPoint(path, NULL, 20, 20);<br />
    CGPathAddLineToPoint(path, NULL, 200, 300);<br />
    //2.3把路径添加到上下文中<br />
    //把绘制直线的绘图信息保存到图形上下文中<br />
    CGContextAddPath(ctx, path);<br />
    <br />
    //3.渲染<br />
    CGContextStrokePath(ctx);<br />
    <br />
    //4.释放前面创建的两条路径<br />
    //第一种方法<br />
    CGPathRelease(path);<br />
    //第二种方法<br />
    //    CFRelease(path);<br />
}</p>
<p> <br />
B.直接使用path的好处：<br />
第一种代码的阅读性不好，不便于区分。使用path，则一个path就代表一条路径。<br />
比如：如果要在上下文中绘制多个图形，这种情况下建议使用path。<br />
代码示例：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>- (void)drawRect:(CGRect)rect<br />
{<br />
    //1.获取图形上下文<br />
    CGContextRef ctx=UIGraphicsGetCurrentContext();<br />
<br />    //2.绘图<br />
    //2.a 画一条直线<br />
    //2.a.1创建一条绘图的路径<br />
    //注意：但凡通过Quartz2D中带有creat/copy/retain方法创建出来的值都必须要释放<br />
    CGMutablePathRef path=CGPathCreateMutable();<br />
    <br />
    //2.a.2把绘图信息添加到路径里<br />
    CGPathMoveToPoint(path, NULL, 20, 20);<br />
    CGPathAddLineToPoint(path, NULL, 200, 300);<br />
    <br />
    //2.a.3把路径添加到上下文中<br />
    //把绘制直线的绘图信息保存到图形上下文中<br />
    CGContextAddPath(ctx, path);<br />
    <br />
    <br />
    //2.b画一个圆<br />
    //2.b.1创建一条画圆的绘图路径(注意这里是可变的，不是CGPathRef)<br />
    CGMutablePathRef path1=CGPathCreateMutable();<br />
    <br />
    //2.b.2把圆的绘图信息添加到路径里<br />
    CGPathAddEllipseInRect(path1, NULL, CGRectMake(50, 50, 100, 100));<br />
    <br />
    //2.b.3把圆的路径添加到图形上下文中<br />
    CGContextAddPath(ctx, path1);<br />
    <br />
    <br />
    //3.渲染<br />
    CGContextStrokePath(ctx);<br />
    <br />
    //4.释放前面创建的两条路径<br />
    //第一种方法<br />
    CGPathRelease(path);<br />
    CGPathRelease(path1);<br />
    //第二种方法<br />
//    CFRelease(path);<br />
}</p>
<p>效果：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTEzMDkxOTEzMjIxLnBuZw==.jpg"></p>
<p>提示：如果是画线，那么就创建一条路径（path）用来保存画线的绘图信息，如果又要重新画一个圆，那么就可以创建一条新的路径来专门保存画圆的绘图信息。<br />
注意：<br />
但凡通过quarzt2d中带有creat/copy/retain方法创建出来的值都必须手动的释放<br />
有两种方法可以释放前面创建的路径：<br />
（1）CGPathRelease(path);<br />
（2）CFRelease(path);<br />
说明：CFRelease属于更底层的cocafoundation框架<br />
 <br /><strong>PS：补充知识点：<br /></strong>画四边形的一些方法：<br />
第一种方式：通过连接固定的点绘制四边形<br />
第二种方式：指定起点和宽高绘制四边形<br />
第三种方式：把第二种方式中的两步合并成一步。<br />
第四种方式（oc的方法）：绘制实心的四边形，注意没有空心的方法<br />
第五种：画根线，设置线条的宽度（通过这种方式可以画斜的四边形）<br />
代码示例：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//<br />
//  YYview.m<br />
//  06-四边形的五种画法<br />
//<br />
//  Created by apple on 14-6-11.<br />
//  Copyright (c) 2014年 itcase. All rights reserved.<br />
//<br />
<br />#import "YYview.h"</p>
<p>@implementation YYview</p>
<p>- (void)drawRect:(CGRect)rect<br />
{<br />
    //获取图形上下文<br />
    CGContextRef ctx=UIGraphicsGetCurrentContext();<br />
    //第一种画法,通过连接固定的点绘制四边形<br />
//    CGContextMoveToPoint(ctx, 0, 20);<br />
//    CGContextAddLineToPoint(&lt;#CGContextRef c#&gt;, &lt;#CGFloat x#&gt;, &lt;#CGFloat y#&gt;);<br />
//    CGContextAddLineToPoint(&lt;#CGContextRef c#&gt;, &lt;#CGFloat x#&gt;, &lt;#CGFloat y#&gt;);<br />
//    CGContextAddLineToPoint(&lt;#CGContextRef c#&gt;, &lt;#CGFloat x#&gt;, &lt;#CGFloat y#&gt;);<br />
    <br />
    //第二种方式：指定起点和宽高绘制四边形<br />
//    CGContextAddRect(ctx, CGRectMake(20, 20, 200, 100));<br />
//    //渲染<br />
//    CGContextStrokePath(ctx);<br />
    <br />
    //第三种方式：二种的两步合并成一步。<br />
    //画空心的四边形<br />
//    CGContextStrokeRect(ctx, CGRectMake(20, 20, 200, 100));<br />
//    //画实心的四边形<br />
//    CGContextFillRect(ctx, CGRectMake(20, 20, 200, 100));<br />
    <br />
    //第四种方式（oc的方法）：绘制实心的四边形，注意没有空心的方法<br />
    UIRectFill(CGRectMake(20, 20, 200, 100));<br />
    <br />
    //第五种方式：画根线，设置线条的宽度（通过这种方式可以画斜的四边形）<br />
//    CGContextMoveToPoint(ctx, 20, 20);<br />
//    CGContextAddLineToPoint(ctx, 100, 200);<br />
//    CGContextSetLineWidth(ctx, 50);<br />
//    //注意，线条只能画成是空心的<br />
//    CGContextStrokePath(ctx);<br />
    <br />
}<br />
@end</p>
<p>第五种方法可以画斜的四边形。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTEzMDkxOTQxMTc2LnBuZw==.jpg"></p>
<p><strong>信纸条纹<br />
一、前导程序</strong></p>
<p>新建一个项目，在主控制器文件中实现以下几行代码，就能轻松的完成图片在视图中的平铺。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>#import "YYViewController.h"<br />
<br />@interface YYViewController ()</p>
<p>@end</p>
<p>@implementation YYViewController</p>
<p>- (void)viewDidLoad<br />
{<br />
    [super viewDidLoad];</p>
<p>    UIImage *image=[UIImage imageNamed:@"me"];<br />
    UIColor *color=[UIColor colorWithPatternImage:image];<br />
    self.view.backgroundColor=color;<br />
}</p>
<p>@end</p>
<p>效果：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTEzMDkyMDAwNzM3LnBuZw==.jpg"></p>
<p><strong>二、实现信纸条纹的效果</strong></p>
<p>利用上面的这种特性来做一个信纸的效果。<br />
默认的view上没有分割线，要在view上加上分割线有两种方式：<br />
（1）让美工做一张专门用来做背景的图片，把图片设置为背景。缺点：信的长度不确定，所以背景图片的长度也难以确定。<br />
（2）通过一张小的图片来创建一个颜色，平铺实现背景效果。<br />
 <br />
第一步：生成一张以后用以平铺的小图片。<br />
画矩形。<br />
画线条。<br />
第二步：从上下文中取出图片设置为背景。黑乎乎一片？（其他地方时透明的，控制器的颜色，如果不设置那么默认为黑色的）<br />
实现代码：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//<br />
//  YYViewController.m<br />
//  01-信纸条纹<br />
//<br />
//  Created by 孔医己 on 14-6-11.<br />
//  Copyright (c) 2014年 itcast. All rights reserved.<br />
//<br />
<br />#import "YYViewController.h"</p>
<p>@interface YYViewController ()</p>
<p>@end</p>
<p><u>复制代码</u> 代码如下:</p>
<p>@implementation YYViewController<br />
<br />- (void)viewDidLoad<br />
{<br />
    [super viewDidLoad];</p>
<p>    <br />
    // 1.生成一张以后用于平铺的小图片<br />
    CGSize size = CGSizeMake(self.view.frame.size.width, 35);<br />
    UIGraphicsBeginImageContextWithOptions(size , NO, 0);<br />
    <br />
    // 2.画矩形<br />
    CGContextRef ctx = UIGraphicsGetCurrentContext();<br />
    CGFloat height = 35;<br />
    CGContextAddRect(ctx, CGRectMake(0, 0, self.view.frame.size.width, height));<br />
    [[UIColor whiteColor] set];<br />
    CGContextFillPath(ctx);<br />
    <br />
    // 3.画线条<br />
    <br />
    CGFloat lineWidth = 2;<br />
    CGFloat lineY = height - lineWidth;<br />
    CGFloat lineX = 0;<br />
    CGContextMoveToPoint(ctx, lineX, lineY);<br />
    CGContextAddLineToPoint(ctx, 320, lineY);<br />
    [[UIColor blackColor] set];<br />
    CGContextStrokePath(ctx);<br />
    <br />
    <br />
    UIImage *image=UIGraphicsGetImageFromCurrentImageContext();<br />
    UIColor *color=[UIColor colorWithPatternImage:image];<br />
    self.view.backgroundColor=color;<br />
}</p>
<p>@end</p>
<p>效果：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTEzMDkyMDE3NjQ5LnBuZw==.jpg"></p>
<p><strong>三、应用场景</strong></p>
<p>完成一个简陋的电子书阅读器</p>
<p>代码：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//<br />
//  YYViewController.m<br />
//  01-信纸条纹<br />
//<br />
//  Created by 孔医己 on 14-6-11.<br />
//  Copyright (c) 2014年 itcast. All rights reserved.<br />
//<br />
<br />#import "YYViewController.h"</p>
<p>@interface YYViewController ()</p>
<p>@property (weak, nonatomic) IBOutlet UITextView *textview;<br />
- (IBAction)perBtnClick:(UIButton *)sender;<br />
- (IBAction)nextBtnClick:(UIButton *)sender;<br />
@property(nonatomic,assign)int index;<br />
@end</p>
<p><u>复制代码</u> 代码如下:</p>
<p>@implementation YYViewController<br />
<br />- (void)viewDidLoad<br />
{<br />
    [super viewDidLoad];</p>
<p>    <br />
    // 1.生成一张以后用于平铺的小图片<br />
    CGSize size = CGSizeMake(self.view.frame.size.width, 26);<br />
    UIGraphicsBeginImageContextWithOptions(size , NO, 0);<br />
    <br />
    // 2.画矩形<br />
    CGContextRef ctx = UIGraphicsGetCurrentContext();<br />
    CGFloat height = 26;<br />
    CGContextAddRect(ctx, CGRectMake(0, 0, self.view.frame.size.width, height));<br />
    [[UIColor brownColor] set];<br />
    CGContextFillPath(ctx);<br />
    <br />
    // 3.画线条<br />
    <br />
    CGFloat lineWidth = 2;<br />
    CGFloat lineY = height - lineWidth;<br />
    CGFloat lineX = 0;<br />
    CGContextMoveToPoint(ctx, lineX, lineY);<br />
    CGContextAddLineToPoint(ctx, 320, lineY);<br />
    [[UIColor blackColor] set];<br />
    CGContextStrokePath(ctx);<br />
    <br />
    <br />
    UIImage *image=UIGraphicsGetImageFromCurrentImageContext();<br />
    UIColor *color=[UIColor colorWithPatternImage:image];<br />
    //self.view.backgroundColor=color;<br />
    self.textview.backgroundColor=color;<br />
}</p>
<p>- (IBAction)perBtnClick:(UIButton *)sender {<br />
    self.index--;<br />
    self.textview.text=[NSString stringWithFormat:@"第%d页",self.index];<br />
    CATransition *ca = [[CATransition alloc] init];<br />
    ca.type = @"pageCurl";<br />
    <br />
    [self.textview.layer addAnimation:ca forKey:nil];<br />
    <br />
}</p>
<p>- (IBAction)nextBtnClick:(UIButton *)sender {<br />
    self.index++;<br />
    self.textview.text=[NSString stringWithFormat:@"第%d页",self.index];<br />
    CATransition *ca = [[CATransition alloc] init];<br />
    ca.type = @"pageCurl";<br />
    <br />
    [self.textview.layer addAnimation:ca forKey:nil];<br />
}<br />
@end</p>
<p>storyboard中的界面布局</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTEzMDkyMDM4MDMwLnBuZw==.jpg"></p>
<p>实现的简单效果：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTEzMDkyMDU0MzkyLnBuZw==.jpg"></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTEzMDkyMTEwNTU0LnBuZw==.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-16 00:51:49</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/ios/" title="ios">ios</a>, <a href="https://www.iamivan.net/tag/%e7%bb%98%e5%9b%be/" title="绘图">绘图</a>, <a href="https://www.iamivan.net/tag/quartz2d/" title="Quartz2D">Quartz2D</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>iOS开发中Quartz2D绘图路径的使用以及条纹效果的实现_IOS的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1a3Wb.html" rel="bookmark">iOS开发中常用的各种动画、页面切面效果&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天主要用到的动画类是CALayer下的CATransition至于各种动画类中如何继承的在这也不做赘述,网上的资料是一抓一大把.好废话少说切入今天的正题. 一.封装动画方法 1.用CATransition实现动画的封装方法如下,每句代码是何意思,请看注释之. #pragma CATransition动画实现 - (void) transitionWithType:(NSString *) type WithSubtype:(NSString *) subtype ForView : (UIVi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR1NKxb.html" rel="bookmark">iOS开发中Quartz2D控制圆形缩放和实现刷帧效果&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Quartz2D简要回顾一.什么是Quartz2D  Quartz 2D是⼀个二维绘图引擎,同时支持iOS和Mac系统  Quartz 2D能完成的工作:   绘制图形 : 线条\三角形\矩形\圆\弧等   绘制文字   绘制\生成图片(图像)   读取\生成PDF   截图\裁剪图片   自定义UI控件 二.Quartz2D在iOS开发中的价值 为了便于搭建美观的UI界面,iOS提供了UIKit框架,⾥⾯有各种各样的UI控件 UILabel:显⽰文字 UIImageView:显示图片 UIBu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBkgoOM.html" rel="bookmark">iOS开发中文件的上传和下载功能的基本实现&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文件的上传 说明:文件上传使用的时POST请求,通常把要上传的数据保存在请求体中.本文介绍如何不借助第三方框架实现iOS开发中得文件上传. 由于过程较为复杂,因此本文只贴出部分关键代码. 主控制器的关键代码: 复制代码 代码如下: YYViewController.m #import &quot;YYViewController.h&quot; #define YYEncode(str) [str dataUsingEncoding:NSUTF8StringEncoding] @interface YYV			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmAXDp.html" rel="bookmark">iOS开发中一些手写控件及其相关属性的使用&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				手写控件,frame,center和bounds属性 一.手写控件 1.手写控件的步骤 (1)使用相应的控件类创建控件对象 (2)设置该控件的各种属性 (3)添加控件到视图中 (4)如果是button等控件,还需考虑控件的单击事件等 (5)注意:View Contollor和view的关系 2.注意点 在OC开发中,Storyboard中的所有操作都可以通过代码实现,程序员一定要熟练掌握代码布局界面的能力! 设置控件监听方法的示例代码如下: 复制代码 代码如下: [btn addTarget:s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QR9Ap.html" rel="bookmark">iOS开发中常见的解析XML的类库以及简要安装方法&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在iPhone开发中,XML的解析有很多选择,iOS SDK提供了NSXMLParser和libxml2两个类库,另外还有很多第三方类库可选,例如TBXML.TouchXML.KissXML.TinyXML和GDataXML.问题是应该选择哪一个呢? 解析 XML 通常有两种方式,DOM 和 SAX: DOM解析XML时,读入整个XML文档并构建一个驻留内存的树结构(节点树),通过遍历树结构可以检索任意XML节点,读取它的属性和值.而且通常情况下,可以借助XPath,直接查询XML节点. SAX			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL5gKZz.html" rel="bookmark">iOS开发中Quartz2D的基本使用方式举例&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.画直线 代码: 复制代码 代码如下: // //  YYlineview.m //  03-画直线 // //  Created by apple on 14-6-9. //  Copyright (c) 2014年 itcase. All rights reserved. // #import &quot;YYlineview.h&quot; @implementation YYlineview // 当自定义view第一次显示出来的时候就会调用drawRect方法 - (void)drawRect			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmL1Lp.html" rel="bookmark">iOS开发中对文件目录的访问及管理的基本方法小结&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文件目录的访问 最简单的:(由于是沙盒关系,没有文件夹概念的) 复制代码 代码如下: UIImage* image = [UIImage imageNamed:@&quot;11.png&quot;]; 这个已经是相对app里面打包好的路径,不需要额外添加路径. 还有一种就是需要指定文件路径的: 需要用到NSBundle. 复制代码 代码如下: [[NSBundle mainBundle] resourcePath],这个就是程序的打包后的路径. 如果需要指定路径,就要这样写: 你也可自己拼接: 复制代码			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba6BQNM.html" rel="bookmark">iOS开发中UITableview控件的基本使用及性能优化方法&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				UITableview控件基本使用 一.一个简单的英雄展示程序 NJHero.h文件代码(字典转模型) 复制代码 代码如下: #import &lt;Foundation/Foundation.h&gt; @interface NJHero : NSObject /**  *  头像  */ @property (nonatomic, copy) NSString *icon; /**  *  名称  */ @property (nonatomic, copy) NSString *name; /**  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDkXyKp.html" rel="bookmark">iOS开发中UIWebView的加载本地数据的三种方式&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				UIWebView是IOS内置的浏览器,可以浏览网页,打开文档 html/htm pdf docx txt等格式的文件. safari浏览器就是通过UIWebView做的. 服务器将MIME的标识符等放入传送的数据中告诉浏览器使用那种插件读取相关文件. uiwebview加载各种本地文件(通过loadData方法): UIWebView加载内容的三种方式: 1 加载本地数据文件 指定文件的MIMEType 编码格式使用@&quot;UTF-8&quot; 2加载html字符串(可以加载全部或者部分html			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqO12z.html" rel="bookmark" class="title">网页代码最常见的几种注释方法</a>
					<div>
						一.css的注释方法&lt;style type=&quot;text/css&quot;&gt;/* css的注释方法*/&lt;/style&gt; 二.JS的注释方法&lt;script typ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRL3az.html" rel="bookmark" class="title">大型门户网站架构设计的可伸缩性</a>
					<div>
						我们知道,对于一个大型门户网站来说,可伸缩性是非常重要的,怎么样在纵向和横向有良好的可伸缩性,就需要在做架构设计的时候考虑到一个分的原则,我想在多个方面说一下怎么分: 首先是横向的分: 1. 大的网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrjKOM.html" rel="bookmark" class="title">FLASH AS3 中使用URLRequest 和URLLoader 与服务器交互</a>
					<div>
						request|服务器|交互 AS3 中使用URLRequest 和URLLoader 与服务器交互 AS3 中使用 URLLoader 与 URLRequest 取代了先前版本 LoadVars 方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkonEp.html" rel="bookmark" class="title">对 Microsoft Office 命令栏进行更多编程&lpar;3&rpar;</a>
					<div>
						编程 CommandBarDocumenter 和 CommandBarControlDocumenter 子例程在开发命令栏解决方案时,我经常需要获取特定命令栏或命令栏控件的索引.名称或标题.我创建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQZl8M.html" rel="bookmark" class="title">春节SEO进攻的好时机</a>
					<div>
						春节期间,大部分站长都忙着过节,很明显,这个时候就是seo进攻的大好时机,超过竞争对手的网站的好时机.   进攻的好时机 春节大家的网站不更新 春节期间,大家都放假回家了,大部分站长回老家了没有时间去 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7KG4M.html" rel="bookmark" class="title">web容器比较：tomcat jboss resin weblogic websphere glassfish</a>
					<div>
						1. Tomcat是Apache鼎力支持的Java Web应用服务器,由于它优秀的稳定性以及丰富的文档资料,广泛的使用人群,从而在开源领域受到最广泛的青睐.- 2. Jboss作为Java EE应用服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwNAQz.html" rel="bookmark" class="title">XP系统插上电源就自动开机是怎么办</a>
					<div>
						XP系统插上电源就自动开机是怎么办   原因分析: 电脑的主板进入到BIOS设置页面的&quot;Power Management Setup&quot;选项中,发现功能 &quot;Pwron Af ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDA7LWb.html" rel="bookmark" class="title">Excel2010如何自动填充数据？</a>
					<div>
						  1.打开需要填充数据的Excel表格,选中需要填充的数据,按住Ctrl键,将鼠标移到单元格的右下角,直到出现&quot;自动填充选项&quot;,这个时候我们就可以向下拖动单元格. 2.这个时候我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOryqb.html" rel="bookmark" class="title">img文件怎么打开</a>
					<div>
						  img文件怎么打开          DAEMONTools虚拟光驱使用方法: 你安装完&quot;DAEMONTools&quot;后屏幕右下角应该有一个红色闪电图标,右键单击,选Emulati ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVw0m4b.html" rel="bookmark" class="title">PS制作超酷的动感喷溅运动鞋教程</a>
					<div>
						  PS制作超酷的动感喷溅运动鞋教程          效果图为比较常见的喷溅实物特效,制作方法有很多,这里介绍的方法也比较实用,过程:先把要加喷溅的实物局部删除或涂上背景色;然后添加蒙版,用喷溅画笔 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Zx99b.html" rel="bookmark" class="title">电脑桌面宽带连接打不开怎么办</a>
					<div>
						  电脑桌面宽带连接打不开怎么办?有网友反映,经常遇到在打开电脑准备上网的时候,突然发现宽带连接打不开了.双击桌面宽带连接快捷方式没反应,无法打开,可能是由于快捷方式失效和驱动程序有问题.后来经过安下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwKrGp.html" rel="bookmark" class="title">沪江小D日语词典怎么用</a>
					<div>
						  沪江小D日语词典使用教程 如果你是看沪江上的文章的话,开启小d字典后,选定不懂的词汇,就会出现相应的解释.如果你只是想查生僻词汇的话,那就更简单了,输入日文就能查出来.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLajDRz.html" rel="bookmark" class="title">如何提升Win7旗舰版预览缩略图打开速度</a>
					<div>
						  微软在win7 64位旗舰版操作系统增加各种特效与功能,而预览缩略图也是一项比较酷炫.实用的功能,通过预览缩略图能够让我们更加快速的找到图片,但是最近有用户反映在win7系统中打开预览缩略图时反应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWOdZp.html" rel="bookmark" class="title">Windows 7系统下设置显卡硬件加速的方法</a>
					<div>
						  第一步.正常登录到Windows7系统,在WIN7桌面空白处右键,选择[个性化].操作方法如下图所示. 第二步.在打开的个性化窗口中的左侧找到并单击[显示]. 第三步.在新打开的显示中窗口左侧中找 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZBOBb.html" rel="bookmark" class="title">怎么找回win7系统消失的音量图标</a>
					<div>
						对于广大win7系统用户而言,通常我们在win7系统中调节音量,都会点击任务栏右下角的音量图标.可是有用户反映在使用音量图标的时候,突然发现音量图标消失不见了,这是怎么回事呢?很多用户遇到这种情况不知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badODJz.html" rel="bookmark" class="title">FlashFXP怎么设置主动访问模式&quest;</a>
					<div>
						  大家都知道FTP有两种访问模式,那么我们如何设置这两种访问模式呢?请看下面详细介绍 一.FTP兼容 1.打开控制面板 --&gt;点击 Internet选项 2.选择高级选项卡 3.找到选项.使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EalgM.html" rel="bookmark" class="title">html 淘宝网-html获得淘宝的周购买次数，信誉，好评度等信息</a>
					<div>
						问题描述 html获得淘宝的周购买次数,信誉,好评度等信息 想要制作一个在淘宝上自动购买的小系统,需要获得该淘宝账号在淘宝店铺的停留时间,月购买次数等信息,为自己所用,怎么获取?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42vJjM.html" rel="bookmark" class="title">华为云腾讯云都在追赶的阿里云在追什么？</a>
					<div>
						云计算,已经从一个可选的备胎,成为了不可逆转的趋势. 腾讯云.百度云.华为云.运营商都在今年持续加力.7年前把云计算比作&quot;阿凡达&quot;的马化腾,如今亲自为腾讯云站台.后来者华为云甚至主 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEWdxz.html" rel="bookmark" class="title">Icon Font浅谈</a>
					<div>
						这周继续在弄hybird app 的 UI框架的重构,进行到了编写换肤功能的阶段,而在做换肤之前,我想应该先弄一套框架内置的图标. 而图标无非就是两种做法: 1.图片 使用图片很正常,但是有缺陷的.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP2Aqp.html" rel="bookmark" class="title">中国接入互联网二十年：一根网线改写中国</a>
					<div>
						中介交易 SEO诊断淘宝客 站长团购 云主机 技术大厅 千夫指毕传国作 押&quot;宝&quot;徐骏作 玩&quot;火&quot;自焚徐骏作 净网朱慧卿作 游子情蒋跃新作 1994年4月,正值美 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVaG8b.html" rel="bookmark" class="title">自己动手搭建Nginx&plus;memcache&plus;xdebug&plus;php运行环境绿色版 For windows版</a>
					<div>
						    Nginx比apache要好,优点很多,随便去搜寻引擎找一下就能找到一大把资料,这不是我们讨论的重点,我们的重点是自己做一个运行组合!     為何我不從網上下載一個別人已經封裝好的現成的版本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRkdVz.html" rel="bookmark" class="title">cf 153&period;div2   B&period; Unsorting Array</a>
					<div>
						  B. Unsorting Array         最近写题目越来越少了,以至于这种简单题都会错--比赛的时候写了个n^2的算法,果断超时,赛后加了个剪枝,78ms         但是其实因为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKwxAz.html" rel="bookmark" class="title">哪位大虾给个快递查询的接口啊？小弟万分感谢</a>
					<div>
						问题描述 谁有通过快递号查询快递的信息以及运送状态的接口,我做的应用需要调用一下,谢谢啦,(快递公司不限)					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWloGqp.html" rel="bookmark" class="title">装逼必备：怎样用普通卡片相机拍出单反的效果</a>
					<div>
						卡片机就是卡片机,单反就是单反 高端卡片会比低端单反卖得贵,但这两个东西还是有本质上的不同. 普通卡片机就像是一柄木佩剑,平日里一招一式地练舞比划,或是小孩子家之间的打打闹闹,都可以;高端卡片可能就像 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBlxrM.html" rel="bookmark" class="title">10 件在 PHP 7 中不要做的事情</a>
					<div>
						不要使用mysql_函数 这一天终于来了,从此你不仅仅&quot;不应该&quot;使用mysql_函数.PHP 7 已经把它们从核心中全部移除了,也就是说你需要迁移到好得多的mysqli_函数,或者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4emx8b.html" rel="bookmark" class="title">java&period;lang&period;UnsatisfiedLinkError&colon; Can&amp;amp&semi;&num;39&semi;t load library from JNI code</a>
					<div>
						原文:http://www.velocityreviews.com/forums/t390018-java-lang-unsatisfiedlinkerror-cant-load-library-fr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqVY4b.html" rel="bookmark" class="title">新人站长做站前需要了解的几点事项</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 回头想想自已做站的时间快有四年多了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn87V2b.html" rel="bookmark" class="title">Gridview中的TextBox问题</a>
					<div>
						问题描述 前台GridView中:&lt;asp:TemplateFieldHeaderText=&quot;sdlxmc&quot;&gt;&lt;ItemTemplate&gt;&lt;asp:T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXK215M.html" rel="bookmark" class="title">详解Bootstrap各式各样的按钮&lpar;推荐&rpar;&lowbar;javascript技巧</a>
					<div>
						Bootstrap为我们提供了各式各样漂亮的按钮,我们无需自己给按钮写样式,直接使用它给我们提供的类样式,使用在我们的按钮上,非常的简单方便. 为尊重原创这里贴一下参考的教程:http://www.r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLZPgM.html" rel="bookmark" class="title">Android下拉列表（Spinner）效果（使用C&num;和Java分别实现）&lowbar;Android</a>
					<div>
						效果如下: C#实现代码 using Android.App; using Android.OS; using Android.Widget; namespace SpinnerDemo { [Act ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
